package asd_library.hash;

/**
 * An object that maps keys to values.
 * A map cannot contain duplicate keys; each key can map to at most one value
 */

public interface Map_adt {

  /**
   *
   * @param x
   */
  void insert(Hashable x );

  /**
   * Removes the mapping for this key from this map if it is present
   * @param key
   */
  void remove(Hashable x );

  /**
   * Removes the mapping for this key from this map if it is present
   * @param key
   * @return
   */
  Hashable find(Hashable key ) ;

}