package asd_library.tree.avltree;

import asd_library.BaseObject;
/**
 * Test program.
 */

public class AvlTreeDemo {
  public static void main( String [ ] args )
       {
           AvlTree t = new AvlTree( );
           final int NUMS = 4000;
           final int GAP  =   37;

           System.out.println( "Checking... (no more output means success)" );

           for( int i = GAP; i != 0; i = ( i + GAP ) % NUMS )
               t.insert( new BaseObject( i ) );

           if( NUMS < 40 )
               t.printTree( );
           if( ((BaseObject)(t.findMin( ))).intValue( ) != 1 ||
               ((BaseObject)(t.findMax( ))).intValue( ) != NUMS - 1 )
               System.out.println( "FindMin or FindMax error!" );

           for( int i = 1; i < NUMS; i++ )
                if( ((BaseObject)(t.find( new BaseObject( i ) ))).intValue( ) != i )
                    System.out.println( "Find error1!" );
   }

}