package asd_library.tree.heap;
import java.util.Random;
import asd_library.BaseObject;

/**
 * Test class for the Heap
 */

public class HeapDemo {
  public static void main(String[] args) {

                Random generatore = new Random();
                int n = 2000000;
                Comparable[] pluto = new Comparable[n];
                for(int i = 0; i < n; i++)
                        pluto[i] = new BaseObject(generatore.nextInt(1000));

                System.out.print("Sort di " + n + " interi... ");
//		for(int i = 0; i < pluto.length; i++)
//			System.out.print(" " + pluto[i]);
//		System.out.println();
                Heap.heapSort(pluto);
//		for(int i = 0; i < pluto.length; i++)
//			System.out.print(" " + pluto[i]);
//		System.out.println();
                System.out.println("fatto.");

                Heap aHeap = new Heap();
                int m = 100000;
                aHeap = new Heap(m);
                System.out.print("Inserimento in heap dei valori 0, 1,..., " + (m-1) + "... ");
                for(int i = 0; i < m; i++)
                  try{
                    aHeap.insert(new BaseObject(i));
                  }catch(Exception e){
                    System.out.println("Impossibile effuare l'inserimento: " + e);
                  }

                System.out.println("fatto.");

                System.out.println("Eliminazione del max " + (m-1) + " volte... ");
                for(int i = 1; i < m; i++)
                  try{
                    aHeap.deleteMax();
                  }catch(Exception e){
                    System.out.println("Impossibile effuare la cancellazione: " + e);
                  }

                System.out.println("fatto.");

                System.out.println(aHeap.toString());

        }

}