package asd_library.tree.heap;

/**
 * The abstract data type max-heap.
 */

public interface Heap_adt {

  /**
   * Inserts a new key into this heap.
   * @param key new key to insert.
   */
  void insert(Comparable key) throws Exception;

  /**
   * Returns the max key stored into this heap.
   * @return the max key
   */
  Comparable getMax()throws Exception;

  /**
   * Deletes the max key stored into this heap
   */
  void deleteMax()throws Exception;
}